Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.jms.client.container
Class ConnectionAspect

    java.lang.Object
      org.jboss.jms.client.container.ConnectionAspect

public class ConnectionAspect
extends java.lang.Object

Handles operations related to the connection This aspect is PER_INSTANCE.

Version:
  `$Revision: 1.14 $` $Id: ConnectionAspect.java,v 1.14 2006/05/06 05:05:39 ovidiu Exp $
Author:
  Ovidiu Feodorov, Tim Fox

Field Summary
`protected java.lang.String` | `clientID`
`protected ConnectionMetaData` | `connMetaData`
`protected ExceptionListener` | `exceptionListener`
`protected boolean` | `listenerAdded`

Constructor Summary
`ConnectionAspect()`

Method Summary
`java.lang.Object` | `handleClose(Invocation invocation)`
`void` | `handleConnectionException(java.lang.Throwable t, Client c)`
`java.lang.Object` | `handleCreateSessionDelegate(Invocation invocation)`
`java.lang.Object` | `handleGetClientID(Invocation invocation)`
`java.lang.Object` | `handleGetConnectionMetaData(Invocation invocation)`
`java.lang.Object` | `handleGetExceptionListener(Invocation invocation)`
`java.lang.Object` | `handleSetClientID(Invocation invocation)`
`java.lang.Object` | `handleSetExceptionListener(Invocation invocation)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### clientID

    protected java.lang.String clientID

### exceptionListener

    protected ExceptionListener exceptionListener

### connMetaData

    protected ConnectionMetaData connMetaData

### listenerAdded

    protected boolean listenerAdded

Constructor Detail

### ConnectionAspect

    public ConnectionAspect()

Method Detail

### handleGetClientID

    public java.lang.Object handleGetClientID(Invocation invocation)
                                       throws java.lang.Throwable

  Throws:
    `java.lang.Throwable`

### handleSetClientID

    public java.lang.Object handleSetClientID(Invocation invocation)
                                       throws java.lang.Throwable

  Throws:
    `java.lang.Throwable`

### handleGetExceptionListener

    public java.lang.Object handleGetExceptionListener(Invocation invocation)
                                                throws java.lang.Throwable

  Throws:
    `java.lang.Throwable`

### handleSetExceptionListener

    public java.lang.Object handleSetExceptionListener(Invocation invocation)
                                                throws java.lang.Throwable

  Throws:
    `java.lang.Throwable`

### handleGetConnectionMetaData

    public java.lang.Object handleGetConnectionMetaData(Invocation invocation)
                                                 throws java.lang.Throwable

  Throws:
    `java.lang.Throwable`

### handleCreateSessionDelegate

    public java.lang.Object handleCreateSessionDelegate(Invocation invocation)
                                                 throws java.lang.Throwable

  Throws:
    `java.lang.Throwable`

### handleClose

    public java.lang.Object handleClose(Invocation invocation)
                                 throws java.lang.Throwable

  Throws:
    `java.lang.Throwable`

### handleConnectionException

    public void handleConnectionException(java.lang.Throwable t,
                                          Client c)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 JBoss Inc. All Rights Reserved.